Commit 2d8a1a70 authored by Sam Hocevar's avatar Sam Hocevar

* ./HACKING: we can now use automake-1.5 instead of automake-1.6. But now

    we _really_ depend on it.
  * ./bootstrap: we don't use touch to create a file, because it doesn't seem
    to work everywhere.
parent 685f8edc
.*
m4
intl
ABOUT-NLS
core
core.*
gmon.out
......@@ -13,6 +14,7 @@ config.rpath
config.status
config.guess
config.sub
autom4te.cache
Makefile
Makefile.in
Makefile.opts
......
$Id: HACKING,v 1.3 2002/08/26 20:49:49 sam Exp $
$Id: HACKING,v 1.4 2002/08/27 14:15:24 sam Exp $
Hacking vlc
===========
......@@ -6,8 +6,8 @@ Hacking vlc
You will need the following tools if you plan to use the CVS version of vlc:
- autoconf version 2.50 or later
- automake version 1.6 or later
- gettext version 0.10.4 or later
- automake version 1.5 (but 1.6 is recommended)
- gettext version 0.10.40 (but 0.11.3 or later is recommended)
After retrieving the CVS tree, you need to run the bootstrap script to
generate all the files needed to build vlc. You can then run configure.
......
#! /bin/sh
## bootstrap.sh file for vlc, the VideoLAN Client
## $Id: bootstrap,v 1.6 2002/08/26 23:36:20 sam Exp $
## $Id: bootstrap,v 1.7 2002/08/27 14:15:24 sam Exp $
##
## Authors: Samuel Hocevar <sam@zoy.org>
......@@ -50,14 +50,15 @@ else
# do cp ${aclocaldir}/${file} m4/
#done
# Yuck!
touch m4/Makefile.am
echo > m4/Makefile.am
# Yuck!
echo 'AC_DEFUN([AM_GNU_GETTEXT_VERSION], [])' > m4/gettext.m4
fi
aclocal -I m4
aclocal-1.6 -I m4 || aclocal-1.5 -I m4
autoheader
automake --foreign --add-missing --copy
automake-1.6 --foreign --add-missing --copy \
|| automake-1.5 --foreign --add-missing --copy
autoconf
# nuahahahahaha !! overwriting Makefile.in with what *I* want!
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment